# This file is part of Tryton.  The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.
from trytond.model import fields, ModelView, ModelSQL
from trytond.pool import PoolMeta, Pool
from trytond.pyson import Eval, And, Or, If, Bool

class Tax(metaclass=PoolMeta):
    __name__ = 'account.tax'

    _states = {
        'readonly': (Bool(Eval('template', -1))
                     & ~Eval('template_override', False)),
    }
    
    fe_tax_type = fields.Selection([('', ""),
                                    ('01', "Impuesto sobre las Ventas (IVA)"),
                                    ('02', "Impuesto al Consumo Departamenta Nominal (IC)"),
                                    ('03', "Impuesto de Industria, Comercio y Aviso (ICA)"),
                                    ('04', "Impuesto Nacional al Consumo (INC)"),
                                    ('05', "Retención sobre el IVA (ReteIVA)"),
                                    ('06', "Retención Sobre la Renta (ReteRenta)"),
                                    ('07', "Retención sobre el ICA (ReteICA)"),
                                    ('08', "Impuesto al Consumo Departamental Porcentual (IC Porcentual)"),
                                    ('20', "Cuota de Fomento Hortifrutícula (FtoHorticultura)"),
                                    ('21', "Impuesto de timbre (Timbre)"),
                                    ('22', "Impuesto Nacional al Consumo de Bolsa Plástica (INC Bolsas)"),
                                    ('23', "Impuesto Nacional del Carbono (INCarbono)"),
                                    ('24', "Impuesto Nacional a los Combustibles (INCombustibles)"),
                                    ('25', "Sobretasa a los combustibles (Sobretasa Combustibles)")], "Fe Tax Type", states=_states)
    
